Index: scripts/travis-checkout.sh |
diff --git a/scripts/travis-checkout.sh b/scripts/travis-checkout.sh |
new file mode 100755 |
index 0000000000000000000000000000000000000000..f46e510d1daef748be423d98bcb78e7443bdd4b3 |
--- /dev/null |
+++ b/scripts/travis-checkout.sh |
@@ -0,0 +1,24 @@ |
+#!/bin/sh |
+set -ex |
+ |
+get_depot_tools() { |
+ cd |
+ git clone https://chromium.googlesource.com/chromium/tools/depot_tools.git |
+ PATH="$HOME/depot_tools:$PATH" |
+} |
+ |
+gclient_sync() { |
+ # Rename the source dir to match what gclient expects. |
+ srcdir=$(basename "$TRAVIS_BUILD_DIR") |
+ cd "${TRAVIS_BUILD_DIR}"/.. |
+ mv "${srcdir}" src |
+ gclient config --unmanaged https://github.com/google/breakpad.git |
+ gclient sync |
+} |
+ |
+main() { |
+ get_depot_tools |
+ gclient_sync |
+} |
+ |
+main "$@" |